Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.services
Enum RelativeElementPosition

    java.lang.Object
      java.lang.Enum<RelativeElementPosition>
          org.apache.tapestry5.services.RelativeElementPosition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RelativeElementPosition>

    public enum RelativeElementPosition

extends java.lang.Enum<RelativeElementPosition>

Used by `HiddenFieldLocationRules` to identify where a hidden field may be placed relative to a particular element.

Enum Constant Summary
`AFTER` The hidden field may be placed after the element, as a sibling.
`INSIDE` The hidden field may be placed inside the element, as a child.

Method Summary
`static RelativeElementPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RelativeElementPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSIDE

    public static final RelativeElementPosition INSIDE

  The hidden field may be placed inside the element, as a child.

### AFTER

    public static final RelativeElementPosition AFTER

  The hidden field may be placed after the element, as a sibling.

Method Detail

### values

    public static final RelativeElementPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RelativeElementPosition c : RelativeElementPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RelativeElementPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.